<?xml version="1.0" encoding="UTF-8"?>
<oakxmlfile>
	<struct name="phys"><short_enum name="type"> // 2 bytes
            <member text="Linear" value="0"/>
            <member text="Cylindrical" value="1"/>
            <member text="Spherical Spring" value="2"/>
            <member text="Point Attractor" value="3"/>
            <member text="Converging" value="4"/>
            <member text="Explosive Gas" value="5"/>
        </short_enum><!--byte name="pad"/-->// 1 bytes
        
        <!--Linear Physics dummy--><!--substruct struct="linear_physics_definition" name="linear_physics" />
        <byte count="2"/--><!--Cylindrical Physics dummy--><!--substruct struct="cylindrical_physics_definition" name="cylindrical_physics" />
        <byte count="2"/--><!--Spherical Spring Physics dummy--><!--substruct struct="spherical_spring_physics_definition" name="spherical_spring_physics" />
        <byte count="2"/--><!--Converging Physics dummy--><!--substruct struct="converging_physics_definition" name="converging_physics" />
        <byte count="2"/--><!--Point Attractor Physics dummy--><!--substruct struct="point_attractor_physics_definition" name="point_attractor_physics" />
        <byte count="2"/--><!--Point Attractor Physics dummy--><!--substruct struct="explosive_gas_physics_definition" name="explosive_gas_physics" /--><byte count="62"/></struct>
	<structedit struct="phys" layout="vertical">
		<frame text="General" layout="table" stretch="true">
			<frame stretch="true">
				<label text="Type:"/>
				<item target="type"/>
			</frame>
		</frame>
		<frame text="Parameters" layout="table" stretch="true">
			<frame stretch="true">
				<label text="Local Physics Parameter editor coming soon!"/>
				<!--item target="linear_physics" text="Linear Physics Parameters"/-->
				<!--item target="cylindrical_physics" text="Cylindrical Physics Parameters"/-->
				<!--item target="spherical_spring_physics" text="Spherical Spring Physics Parameters"/-->
				<!--item target="converging_physics" text="Converging Physics Parameters"/-->
				<!--item target="point_attractor_physics" text="Point Attractor Physics Parameters"/-->
				<!--item target="explosive_gas_physics" text="Explosive Gas Physics Parameters"/-->
			</frame>
		</frame>
	</structedit>
</oakxmlfile>
